#ifndef __StartScreen
#define __StartScreen

#include "ScreenManager.h"
#include "Screen/BaseMenuScreen.h"

/*
 * Start screen
 *   Allows starting the exposure.
 */
class StartScreen : public BaseMenuScreen
{
  protected:
    bool hasPrevious() { return true; }
    bool hasNext() { return false; }

    const char* getTitle() { return "Start"; }
    void gotoPrevious();

  public:
    StartScreen(ScreenManager* screenManager) : BaseMenuScreen(screenManager) { }

    void onHide();

    void onButton();
    void onTick();
};

#endif
