#ifndef __CountdownScreen
#define __CountdownScreen

#include "ScreenManager.h"

/*
 * Countdown screen
 *   Shows the remaining time.
 */
class CountdownScreen : public BaseScreen
{
  private:
    int mLastDisplayed;

  protected:
    void printRemainingTime();

  public:
    CountdownScreen(ScreenManager* screenManager) : BaseScreen(screenManager) { }

    void onShow();
    void onHide();

    void onButton();
    void onEncoder(long lastPosition, long newPosition);
    void onTick();
};

#endif
